HCITOOL(1)

NAME
hcitool - configure Bluetooth connections

SYNOPSIS
hcitool [-h]
hcitool [-i <hciX>] [command [command parameters]]

DESCRIPTION

hcitool is used to configure Bluetooth connections and send some special command to Bluetooth devices. If no command is given, or if the option -h is used, hcitool prints some usage information and exits.

OPTIONS

-h  Gives a list of possible commands

-i <hciX>
    The command is applied to device hciX , which must be the name of an installed Bluetooth device. If not specified, the command will be sent to the first available Bluetooth device.

COMMANDS

dev Display local devices

inq Inquire remote devices. For each discovered device, Bluetooth device address, clock offset and class are printed.

scan
    Inquire remote devices. For each discovered device, device name is printed.

name <bdaddr>
    Print device name of remote device with Bluetooth address bdaddr.

info <bdaddr>
    Print device name, version and supported features of remote device with Bluetooth address bdaddr.

cmd <ogf> <ocf> [parameters]
    Submit an arbitrary HCI command to local device. ogf, ocf and parameters are hexadecimal bytes

con Display active baseband connections

cc [--role=m|s] [--pkt-type=<ptype>] <bdaddr>
    Create baseband connection to remote device with Bluetooth address bdaddr. Option --pkt-type specifies a list of allowed packet types. <ptype> is a comma-separated list of packet types, where the possible packet types are DM1, DM3, DM5, DH1, DH3, DH5, HV1, HV2, HV3. Default is to allow all packet types. Option --role can have value m (do not allow role switch, stay master) or s (allow role switch, become slave if the peer asks to become master). Default is m.

dc <bdaddr>
    Delete baseband connection from remote device with Bluetooth address bdaddr.

sr <bdaddr> <role>
    Switch role for the baseband connection from the remote device to master or slave.

cpt <bdaddr> <packet types>
    Change packet types for baseband connection to device with Bluetooth address bdaddr. packet types is a comma-separated list of packet types, where the possible packet types are DM1, DM3, DM5, DH1, DH3, DH5, HV1, HV2, HV3.

rssi <bdaddr>
    Display received signal strength information for the connection to the device with Bluetooth address bdaddr.

lq <bdaddr>
    Display link quality for the connection to the device with Bluetooth address bdaddr.

tpl <bdaddr> [type]
    Display transmit power level for the connection to the device with Bluetooth address bdaddr. The type can be 0 for the current transmit power level (which is default) or 1 for the maximum transmit power level.

afh <bdaddr>
    Display AFH channel map for the connection to the device with Bluetooth address bdaddr.

lst <bdaddr> [value]
    With no value, displays link supervision timeout for the connection to the device with Bluetooth address bdaddr. If value is given, sets the link supervision timeout for that connection to value slots, or to infinite if value is 0.

auth <bdaddr>
    Request authentication for the device with Bluetooth address bdaddr.

enc <bdaddr> [encrypt enable]
    Enable or disable the encryption for the device with Bluetooth address bdaddr.

key <bdaddr>
    Change the connection link key for the device with Bluetooth address bdaddr.

clkoff <bdaddr>
    Read the clock offset for the device with Bluetooth address bdaddr.

clock [bdaddr] [which clock]
    Read the clock for the device with Bluetooth address bdaddr. The clock can be 0 for the local clock or 1 for the piconet clock (which is default).

AUTHORS
Written by Maxim Krasnyansky <maxk@qualcomm.com> and Marcel Holtmann <marcel@holtmann.org>

man page by Fabrizio Gennari <fabrizio.gennari@philips.com>